===============================================================================
        Intel(R) Server Platform Integrated BMC Firmware Release Notes       
===============================================================================


INTEL Enterprise Platform & Services Marketing
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA


===============================================================================
DATE:       23 Jan, 2018



TO:         Intel(R) Server Board S7200AP and S7200APR customers


SUBJECT:    Integrated BMC(R) firmware 01.14.11110 release notes


===============================================================================
                               LEGAL INFORMATION
===============================================================================
Information in this document is provided in connection with Intel products. 
No license, express or implied, by estoppel or otherwise, to any intellectual 
property rights is granted by this document. Except as provided in Intel's 
Terms and Conditions of Sale for such products, Intel assumes no liability 
whatsoever, and Intel disclaims any express or implied warranty, relating to 
sale and/or use of Intel products including liability or warranties relating 
to fitness for a particular purpose, merchantability, or infringement of any 
patent, copyright or other intellectual property right. Intel Corporation may 
have patents or pending patent applications, trademarks, copyrights, or other 
intellectual property rights that relate to the presented subject matter.  
The furnishing of documents and other materials and information does not 
provide any license, express or implied, by estoppel or otherwise, to any 
such patents, trademarks, copyrights, or other intellectual property rights.  
Intel products are not intended for use in medical, life saving, or life 
sustaining applications. Intel may make changes to specifications and product 
descriptions at any time, without notice.


Intel is a registered trademark of Intel Corporation. 


*Other names and brands are the property of their respective owners.


Copyright (c) 2011, 2012, 2015, 2016, 2017, 2018 Intel Corporation.


A portion of this firmware is open source code.
The OSS source code that the customer is entitled to per OSS license has been
posted on the Intel support website at the following link:

http://downloadcenter.intel.com/Detail_Desc.aspx?agr=Y&DwnldID=21081


This open source code falls under the GPL 2.0 license, please see the license
at the following link:

http://www.opensource.org/licenses/gpl-2.0.php  


===============================================================================
                            ABOUT THIS RELEASE PACKAGE
===============================================================================
Source file: BMC_i_0114r11110.bin
Update script: fwUpdateBMC.nsh

REVISION INFORMATION RETURNED BY GET DEVICE ID COMMAND:
Operational mode:   01.14.11110

Device ID:          0x21
Manufacturer ID:    0x000157



PSU S4 FW:          0.0.33(Note: This image can be used to upgrade power supplies with HW revision S4,00A,01A and 02A and with PSU FW secondary version is less than the version number)     
HSBP FW:            01.41 SecurityRev 03
Root/OS/WWW:        01.19
FWPIAUPD Utility:   v14.Build 9
UBoot mode:         01.07

MD5 checksum of BMC_i_0114r11110.bin: 8db42cb5fabe8cfdd6ed98313c29018e

-------------------------------------------------------------------------------

A "Pong" version of the firmware image can be made available on request.

===============================================================================
                         IMPORTANT INSTALLATION NOTES
===============================================================================
The following update process must be followed to ensure a trouble free updating
of your baseboard.  The order is important to minimize any issues for status
checking as different components are initialized.
1.  BMC firmware
2.  BIOS
3.  Manageability Engine (ME) firmware
4.  FRU/SDR package specific to the baseboard.
5.  NIC EEPROM

===============================================================================
            INSTALLATION PROCEDURE If your current BMC firmware load
			is BMC_ADP_0004r8718 or earlier
===============================================================================

1. If your current BMC firmware load is BMC_ADP_0004r8718 or earlier, you must 
   first load  BMC_i_0005r8812.
   

===============================================================================
            INSTALLATION PROCEDURE If your current BMC firmware load
			is BMC_i_0005r8812 or later
===============================================================================
   

1.  Copy the entire contents of the BMC_i_0114r11110.zip archive file to the
    storage medium of your choice. This can be a hard disk, floppy disk
    or USB flash drive.
    All of the files in the zip archive must reside in the same directory.


2.  Boot to EFI and then run the fwUpdateBMC.nsh script file to update the
    Integrated BMC.

    Modification of the update script or using cmdtool.efi with your own
    command line parameters is not supported and doing so is at your own risk!


3.  Install latest available FRU/SDR package specific to the platform.



===============================================================================
                     FIRMWARE UPGRADE/DOWNGRADE PROCEDURES
===============================================================================

Reverting to a lower version of firmware may have unexpected side effects,
including but not limited to user settings reset to defaults, and will always
result in the loss of functionality which was present in the higher version
but was not implemented in the lower version.
We do not guarantee that any downgrade will operate without side-effects.

Always observe caution when downgrading firmware.

===============================================================================
                        KNOWN ISSUES/WORKAROUNDS/REQUIREMENTS
===============================================================================
- When setting the time/date in BIOS with a value after January 19, 2038, BMC FW does not 
  handle such value correctly. This causes timestamps in SEL entries, for example, to 
  be shown as January 1st, 1970.
  See https://en.wikipedia.org/wiki/Year_2038_problem for details.

- This BMC FW update package is to be used only on AdamsPass server baseboards and
  does NOT support customer reference boards (CRB) or silicon reference
  platforms (SRP) such as Rose City.
  Contact your PDT to determine where to download the BMC FW for these products.

- The BMC FW image file in this package is to be used only with the provided
  FWPIAUPD update utility.
  Using the FW image file with a SPI flash device programmer will result in a
  non-functional system.

  *** IMPORTANT NOTE ***
- The fix for BMC Hang issues (AC cycling failures) requires that the flash be programmed
  in a device programmer using the flash image file (.ima file).
  Issue descriptions below that start with "(*)" will only be fixed if the flash is programmed
  in a device programmer.
  DO NOT USE THE .bin FILE IN THIS PACKAGE IN A DEVICE PROGRAMMER!!!
  For a device programmer, you need to get the .ima version (flash image) of this release that
  is specific to the platform it is on!
  NOTE: When the device is programmed in a programmer, all baseboard FRU data is erased.
  
- BMC1.09 only include new PSU FW32 image and no special code change especially PSU releated code, but there is a below PSU related issue reported on BMC1.09 recently.
  BMC 1.10 also include the PSU FW32 image. The new PSU image cause some BMC issues. The defect number as below.
  2201438810 [ADP Refresh] [Sighting] Several Sensors report "unknown" health in EWS after 24 hours idle

===============================================================================
                                ISSUES FIXED
===============================================================================
BMC_i_0114r11110
1. Add new FW33 for 2130W PSU to fix below issue:
   1406706675 CPU Throttles all cores to ~50 MHz on S2600BP and S7200AP nodes in chassis with 2130W PSU
   
BMC_i_0113r11100
1. 220496193 [Silver] ADP Flashing BMC FW from USB Key over KVM media redirection connection generates CATERR
2. 2006642608 BMC FW SUP update failed via BMC Webconsole
3. 220943989 ADP Refresh: IERR during BIOS setup when BMC is reset
4. 2201791176 [Adams Pass Refresh] Virtual Front Panel Graphic incorrect format in Chrome Browser

BMC_i_0112r11084
1. 220851249 [ADP Refresh] Webgo server process hangs with high CPU utilization after quickly clicking EWS page links
2. 220806584 [ADP Refresh] BMC SW reset loop can occur with EWS Email Alerts & incorrect DNS Address settings
3. 2201211946 ADP Refresh: Firefox on Ubuntu Kylin - EWS display error

BMC_i_0111r11054
1. 2201167502 [ADP Refresh] After disabling the RMCP/RMCP+ feature IPMI over LAN EWS option is still accessible
2. 2201168458 [ADP Refresh] KVM & Media EWS page is accessible and active after permanently disabling the KVM feature
3. 2201184410 ADP Refresh: Some IPv6 activity in BMC after enabling/disabling IPv6

BMC_i_0110r11037
1. 2006683582 BB CPU Core message in SEL during DC cycling
2. 2201158522 Firewall Configuration: Adding firewall port 443 with force HTTPS option enabled causes web server connection failure
3. 2201076659 Custom firewall ports are not persistent after DC or AC Cycle
4. 220724484 EWS Firewall feature does not function properly
5. 2201077082 Adding a new firewall port rule with Port Status "Enable" incorrectly shows "Firewall Rule Successfully added"
6. 2103615112 [KNL-F] "Rebuild/Remap in progress" logged in SEL during reboot cycle.(r11013)
7. 2006692011 HSBP PSOC Temperature failure sensor low. < r10980 modify HSBP_1p41.hex>


BMC_i_0109r10985
1. 220769965 - ADP Refresh:  Simultaneous SOL Sessions allows via SMASH and ipmitool
2. Add new PSU FW32 to solve hot fix issue.
   2006652163  - PSU2 reports 'a predictive failure for the power supply' after idle.
3. 220769414 - ADP Refresh:  linux syscfg restore function reports error
4. 1406448799 - Multiple logs about invalid username or password during the session establishment process (DC cycling method, ITAS tool )

BMC_i_0108r10961
1. CCB2027 Permanent disable of ports other than IPMI

BMC_i_0107r10918
1. 220624059 - Undefined login fields on EWS Login Page with Internet Explorer 11

BMC_i_0106r10905
1. 220496193 - [Silver] ADP Flashing BMC FW from USB Key over KVM media redirection connection generates CATERR
2. 220272809 - [HALO] ADP Media Redirection - Floppy/USB - "Floppy Redirection Failed to Start"
3. 2006642608 - BMC FW SUP update failed via BMC Webconsole
4. 220663318 - ADP Refresh:  Power supply recovery from interrupted updated fails
5. 220625116	ADP Refresh:  Power supply update does not work

BMC_i_0105r10873
1. 220354776 - [HALO] ADP - LAAC pump intermittent failure.
2. 220330645 - [ADP Refresh] Power Supply Blackbox Data & PEC Feature Support Status report "Unsupported" in  EWS System Debug Log .html
3. Security library update.

BMC_i_0104r10858
1. Support for Adams Pass Refresh (with LACC) is added.
2. 220259139 - [HALO] ADP interface errors during SEL stress.
3. 2006651064 - [BNP, ADP] More than one BMC trying to update Power Supply.
4. 220306664 - [ADP Refresh] BMC Crashes after flashing HALO BMC FW on ADP Refresh platform.
5. 220328618 - ADP Refresh:  MTT CPU1 marked as unknown.
6. 1209235578 - The information in EWS can't display as Chinese.
7. 220323948 - ADP Refresh:  PSOC failure after long term HSC stress test.
8. 220330810 - [ADP Refresh] General BMC Sensor Readings show "Error establishing the LIBIPMI session:527" in EWS SystemDebugLog

BMC_i_0103r10708
1. Update HSBP PSoC firmware to 1p40.
2. Adding LAAC support for Halo sku.

BMC_i_0102r10645
1. HSD-ES 1209275673 - Critical Power Supply current events in the System Event Log.
2. HSD-ES 1209235578 - The information in EWS can't display as Chinese.
3. HSD-ES 1209428039 - After stress test,there is BMC HW watchdog timer triggered related SEL on SUT.
4. HSD-ES 1209780472 - [clone] Grantley FW Java certificate expired.
5. HSD-ES 1402565768 - Fix EWS issue that webpage left navigator lane disappeared via clicking "refresh" on popup menu.
6. HSD-ES 1504410796 - Fix issue of KVM jar signing certificate expiration.
7. HSD-ES 2103615195 - An error pop-up when selecting EWS option "SDR Configuration" or "Security Settings" with a user privilege account.
8. HSD-ES 2103615199 - fail to return correct value for PHI card IPMI command.
9. HSD-ES 2103615658 - [Grantley][BMC][EWS] The "Save" button will be inactive after cancel the modification of Mouse Mode Setting in EWS.
10. HSD-ES 2103615661 - [Grantley][BMC][EWS] The modification of "Security Settings" and "SDR Configuration" can't be saved in EWS.
11. HSD-ES 2103615662 - [Grantley][BMC][EWS] The "SDR Configuration" page in EWS can't show any information about SUT.
12. HSD-ES 2103614934 - Fix KVM issue that start menu will popup on SUT ocassionally when check "hold on" of Right/Left Windows key in rKVM.
13. HSD-ES 2103615573 - Fix content in EWS help info according to test case requirement.
14. HSD-ES 2103615821 - [Grantley][BMC][EWS] Some EWS help texts (which should not be viewed by user account) will be displayed with user privilege.
15. HSD-ES 2103615826 - [Grantley][BMC][EWS]The "Node Manager" help texts in EWS.
16. OpenSSL is updated from 1.0.2.j to 1.0.2.k.
17. OpenSsh is updated from 7.3 to 7.4.
18. HSD-ES 2103615807 - Fix Smash issue when running smash command.


BMC_i_0101r10452
1. EPSD100035629 - HSBP FW reading by command is inconsistent with BMC release note. Note the latest HSBP FW is at v1.27 at the time of release.
2. EPSD100035118 - HDD Fault LED didn't amber blinking at 1HZ frequence. Update HSBP PSoC firmware to 1p27.
3. EPSD100035474 - The information in EWS can't display as Chinese.
4. EPSD100035854 - After stress test,there should not be BMC HW watchdog timer triggered related SEL on SUT.
5. EPSD100035655 - The command response for DIMM Thrm Trip mismatch the expect.
6. EPSD100256460 - BMC Boot code version show as 01.07 that not match with BMC release version 00.07 on AdamsPass platform.


BMC_i_0100r10304
1. Power supply firmware for hardware rev 01A is no longer supported. The PSU should continue to function but will not receive update.
   This change took place in BMC 22 but the release note failed to register such change.
2. EPSD100035629 - SBP FW reading by command is inconsistent with BMC release note.
3. EPSD100035667 - The Config file version display inconsistent with SDR file in EWS.
4. Update HSBP PSoC firmware to 1p25.


BMC_i_0029r10261
1. EPSD100035050 False HDD rebuild SEL is reported.
2. EPSD100035479 PSU blackbox data is missing from BMC debug log for non-master nodes.
3. The buffer size in EWS for BIOS POST code is set to 2048 by mistake. Should be 4096 bytes.


BMC_i_0028r10202
1. EPSD100034739 Restore system SDR to FCT SDR, read the FRU info prompt error.
2. Update AdamsPass Default and Factory SDR's to FSC 0.83
3. EPSD100253822 SEL is reporting BB +12.0V messages after doing AC cycling.
4. IPS 00088107 - BMC alerts received in an email via SMTP have a different time
5. No alert when EWS login was locked or input wrong password
6. EPSD100034620 Ping LAN1 IP failure after AC off/on sometimes with RoHS
7. EPSD100254032 BMC Not available remotely after AC cycling
8. EPSD100034756 There is no "Mem P1 Thrm Trip" event be generated after heat DIMM to shutdown
9. Update OpenSSL to latest version to avoid OpenSSL vulnerability reported.
10. EPSD100034909 It shows the HSC FW update status as "00 01" by executing the "cmdtool 20 c0 38" command in power off status


BMC_i_0027r10146
1. EPSD100253761 Autoprofile feature of FSC has not been enabled by BMC
2. EPSD100031859 BMC log "Management Subsystem Health BMC FW Health" event during running S4 stress
3. EPSD100254458 ADP BMC splitting packets when doing FW update  Adds PSU FW version 29
4. EPSD100254448 Integrated BMC Web Console crashes.


BMC_i_0026r10113
1. EPSD100254410 BMC Ethernet hang issue in some case
2. EPSD100254032 BMC Not available remotely after AC cycling
3. Fixed BMC read of PSU IOUT_MAX register during init
4. EPSD100253829 OPenSSH issues fixed
5. EPSD100253829 Fix vulnerabilities described in Nessus and Qualys scan reports. Fix Webgo crash issue during VEGA scan. We have handled NULL user in prelogin url allowed case.
6. EPSD100253761 Autoprofile feature of FSC has not been enabled by BMC
7. EPSD100253822 SEL is reporting BB +12.0V messages after doing AC cycling


BMC_i_0025r10067
1. EPSD100032880 Power on/off system with Windows 2012 R2, BMC will have power on/off event log with sensor type "N/A".
2. EPSD100032871 BMC will have unknow event when system boot to Windows.
3. CCB 468 Updating the lan configuration files for all Grantley platforms to address the cipher suite zero vulnerability.
   We are disabling the cipher suite zero by default.
4. Updated the stunnel conf to support TLSv1.2 only with secured ciphers <= 128
5. No SEL is added when FM_MEM_THERM_EVENT_N is grounded
6. EPSD100253583 When all 4 nodes are present, AutoCfg fails to probe node presence device.
7. EPSD100253761 ADP: Autoprofile feature of FSC has not been enabled by BMC
8. EPSD100254304 BMC alerts received in an email via SMTP have a different time

BMC_i_0023r10016
1. EPSD100033201 The EWS -> AIC Cards page dispiay error.
2. EPSD100253761 ADP: Autoprofile feature of FSC has not been enabled by BMC
3. EPSD100253402 EWS Adams Pass AIC Cards options reports undefined error
4. EPSD100032871 BMC will have unknow event when system boot to Windows.
5. EPSD100253866 Customer Hikvision report the BMC EWS Security settings issue (Bad password threshold)
6. Update FCT.sdr and Default.sdr to version 18
7. EPSD100032880 Power on/off system with Windows 2012 R2, BMC will have power on/off event log with sensor type "N/A".

BMC_i_0022r9947
1. EPSD100253428 BMC fails to update PSU to latest firmware version
2. FIX for issue: Redundancy lost asserted and Curr% sensor exceeds threshold.
3. EPSD100253499 EWS show in Chinese not align with English
4. EPSD100251931 Email and SNMP alerts are not sent during a drive fault on 1U HSBP


BMC_i_0021r9890
1. EPSD100252925 In EWS, some SEL entries do not display while installing RHEL on Host
2. EPSD100252884 Change FAN to auto-rearm, fan status cannot show correct status on EWS
3. EPSD100029080 DIMM Thrm Mrgn 2 Sensor show up as Unknown in EWS
4. EPSD100110764 MC becomes unresponsive on setting cipher suite 1 privilege to OEM
5. Updated AdamsPass FCT.SDR and Default SDR to version 17

BMC_i_0020r9854
1. Added higher level ipmi command api to get AIC cards info.
2. Added new web page to display all AIC cards info over EWS
3. EPSD100252826 BMC FW Use of Voltage Fault (D1h) Violates DFT Rule #1619
4. Fix I2C recovery erroneously reports recovery attempt failed
5. EPSD100252984 modify master.cfg to automation will results fail.
6. EPSD100249322 duplicate response from remote host during SSH SOL/SMASH session 
7. Added IPMI Get PWM Limit Command to read PWM Limit. Added IPMI Set PWM Limit Command to set PWM Limit
8. EPSD100252884 Change FAN to auto-rearm, fan status cannot show correct status on EWS
9. [Grantley} update OpenSSL to latest version 1.0.2h from 1.0.2d
10. EPSD100031566  ADP added some additional DIMM SEL records that required extended decoding.

 

BMC_i_0019r9824
1. Added PSU FW 01A rev 0_0_24 
2. EPSD100252472 Transport Layer Security (TLS) Protocol CRIME Vulnerability
3. EPSD100252820 EWS report a wrong location of DIMM SEL log


BMC_i_0018r9795
1. Changed scales and limits for 0.95v sensor
2. EPSD100031565 [EWS]The string in KVM&Media is out of frame
3. EPSD100252321 Privilege Escalation Attack via EWS
4. EPSD100252439 [Grantley] PCIe SSD Add-in-Card present slot bitmap don't match current inserted slot number in EFI shell
5. EPSD100031101 [Grantley]IE11 displaying EWS->Configuration->KVM & Media/SOL & SMASH, Sever Diagnostics->POST Codes with help ON, text exceeds the Box size
6. EPSD100031566 The SEL would log incorrect CPU/DIMM information when trigger Memory parity error via rework DIMM.
7. Add a CSRF token to the http header and cookie to verify received requests are actually from the web browser session.
   Also, change the SSL certificate download to use temp files, in case it fails the CSRF check.
8. EPSD100248833 SMASH cannot read recent SEL events when SEL has a high volume.
9. Implement OEM Misc command (NetFn:0x30, Cmd:0x67) to detect SSD switch AIC

BMC_i_0017r9699
1. Aggregate voltage sensor Scale factor, LNC and UNC updated
2. Added support for PSU 01A
3. EPSD100030211 Mouse and keyboard is not available in a rKVM session under the Windows 2012 R2 after select "Launch Redirection" for 2~3 times.
4. EPSD100249322 duplicate response from remote host during SSH SOL/SMASH session
5. EPSD100031565 [EWS]The string in KVM&Media is out of frame.


BMC_i_0016r9671
1. EPSD100031672 Update BIOS and check BMC event log, the event description was incorrect.
2. EPSD100031542 [EWS] The "Intel Copyright" didn't change to 2016 in About page.
3. EPSD100030586 Execute IPMI command to capture MFG DATA, some MAC information were incorrect.
4. EPSD100252255 Execute IPMI command to get DIMM info will get response "Unknown".
5. EPSD100031740 Update BMC and check SEL in EWS, the event description was incorrect.
6. EPSD100031566 The SEL would log incorrect CPU/DIMM information when trigger Memory parity error via rework DIMM.
7. EPSD100251200 Board LAN routing and print sequence is wrong


BMC_i_0015r9640
1. EPSD100029342 Voltage Fault sensor shows up as Warning
2. EPSD100250238 FP status/Health LED is always Green Blinking (Should be solid Green)
3. EPSD100247689 BB 0.75V VCCCLR shows up as asserted SEL and sensor voltage Fault also shows up as Asserted (Yellow)
4. EPSD100250215 BB CPU Core - error
5. EPSD100030872 System DIMM information HELP described wrong slot number as "A0", "B0".
6. EPSD100031207 Heating memory VRD_HOT# signals the event description were incorrect.
7. EPSD100250289 EWS HTTP connection is halt when using JDisc application to run discovery task with VMware account.
8. EPSD100250458 Unknown SEL event after XEON Phi Ctrl Alt Del reset (possibly other resets as well).
9. Updated FCT.sdr and Default.sdr to agree with FRUSDR release 113

BMC_i_0014r9608
1. Add 2130W PSU S4 image into BMC to support 2130 S4 PSU
2. Added additional error checking for systems that use an external fan controller.

BMC_i_0013r9567
1. SSB Temp is now reporting correctly 
2. EPSD100250038 EWS CPU Information Socket Type : Other
3. Fix a potential CPU ID mismatch to detect CPU status

BMC_i_0012r9511
1. EPSD100030179 IE11 displaying EWS->Configuration->Server Diagnostics with Old System Debug Log text exceeds the Box size
2. EPSD100030713 EWS canot get system information when board running out of chassis
3. EPSD100110718 The BMC communicates over the SMLink bus at 50KHz, instead of the requested 1MHz for ADP.

BMC_i_0011r9483
1. EPSD100250872 BMC firmware  OEM command about write SSL certification file fail to upload
2. EPSD100250216 EWS Alerts page wording confusion
3. EPSD100030156 The SUT will wait over about 20 seconds than expected time before SUT auto powering up
4. EPSD100250624 Adams Pass Baseboard System Fan 3b sensor # 3Ch is not enabled for FCT test

BMC_i_0010r9420
1. EPSD100250060 Net Function = Intel® General Application (3Eh), LUN = 00, Code 50h responds with Invalid command.
2. EPSD100030156 The SUT will wait over about 20 seconds than expected time before SUT auto powering up.
3. EPSD100250432 Boot Block version cannot be found in BMC release note.
4. EPSD100250458 (Partial Fix) The ADP ME reports a SEL from generator ID == 0xEC, which is unknown
5. EPSD100029078 (Partial Fix) DIMM Thrm Mrgn 1 sensor shows up as upper non-critical
6. EPSD100028376 When Solve BMC error, the status LED cannot change to Solid Green from Blinking Amber when system status is S0 mode

BMC_i_0009r9352
1. EPSD100250032 EWS shows NVMe for S7200AP
2. EPSD100250127 EWS with Mozilla Firefox 41.0 has Login button in wrong location
3. EPSD100030179 IE11 displaying EWS->Configuration->Server Diagnostics with Old System Debug Log text exceeds the Box size
4. EPSD100250432 Boot Block version cannot be found in BMC release note
5. Update CPLD image to 1.7 for HSBP 24HDD CPLD0 and CPLD1

BMC_i_0008r9288
1. EPSD100028833: The BMC is reporting drives are present even though no drives are inserted in the HSBP.  In addition drive LEDs are not blinking when there is drive activity.
2. EPSD100028868: Thermal trip SEL not generated
3. EPSD100030037: The page System Information-->NVMe Information will show "undefined".
4. EPSD100249257: TLP will switch MUX to Slot 4, but old LSI3008 Bridge Board do not
5. EPSD100250243: Test expects BMC temp sensor number to be 20

BMC_i_0007r9193:
1. Support for S3 PSU added

BMC_i_0006r9108:
1. EPSD100249184 [1]33.0  EPSD.FW.BAT.FW.UPDATE.EFI  copyright issues in BMC release notes
   and Defect in release notes on HSC version
2. EPSD100249309 Adams Pass System Fan speed control feature is not enabled in the BMC firmware
3. EPSD100249812 Unable to read PCI Riser 1 temperature sensor
4. EPSD100249813 Unable to read PCI Riser 2 temperature sensor
5. EPSD100247978 PCI Risers 1 & 2 FRU and Temp sensors are missing.
6. EPSD100029037/EPSD100029042/EPSD100029046 [Q2 sustain RC2] The "Bad user PWD" event log will occur
when send several commands from remote client during update BMC FW.
7. EPSD100028912 "HDD Rebuild in progress" events were occurred on TLP during DC cycling.
8. EPSD100248956 [SLV]EWS login failed after stress warm reboot.
9.EPSD100029864 [BDW]BMC Web Console CPU Information displayed is incorrect. 
10. EPSD100029977 HDD Fault LED not blink when re-insert the HDD and
OpROM of RAID Card show "rebuild" in the interface.

BMC_ADP_0005r8812:
1. EPSD100248185: Adams Pass BMC firmware is incorrectly allocating the BMC Mac
   Addresses. Issue resolved.
2. EPSD100248782: The Help text in the BMC web console for Modify User does
   not match the actual interface.
3. EPSD100248689: Sometimes there are some abnormal logs in SEL when run DC cycle
   or Hard Reset.
4. Add a command to disable CPLD Update Function by default
5. After enable VLAN, IPMI over LAN will has problem after DC cycle.

BMC_ADP_0004r8718:
1. EPSD100247679: BB +12.0V sensor shows up as lower critical. Sensor working now.
2. EPSD100029025/EPSD100029043/EPSD100029044: "Bad User PWD" event will occur when
   log in EWS via LDAP account with correct USERID and PASSWORD. Issue resolved.

BMC_ADP_0003r8663:
1. Added firmware update support for 2200W power supplies.
2. EPSD100028587: Fixed issue when using DCM tool to limit SUT power consumption.
3. EPSD100248527: EWS wasn't working with Firefox version 38.0 or higher.
4. EPSD100248399: Bad Password Threshold parameter string in EWS didn't match spec.
5. EPSD100248398: 'password' misspelled in SEL log

BMC_ADP_0002r8125:
1. Significant changes to the built-in FCT and Default SDRs to match the external
   SDR supplied with the FRUSDR package.
2. CPU voltage sensor allowable ranges adjusted for actual voltages encountered
   in the product to alleviate false voltage alerts.
3. Eliminated constant Home Address error message on BMC console, since KNL
   processors don't have a Home Address.
4. CCB310: Implement Bad Password and Bad Username SEL logging and
   "Session Audit" system event.
5. EPSD100246940: Fixed issue with slow response time to first issuance of
   "Get Advanced Support Configuration" command using the Intel® DMN Info
   parameter.
6. Updated 750W DC power to 3.03.27.
7. Fix a Bug for OEM Command - Show NVMe Bridge Board Presence. The
   bug will happen if there is PCIE Slot 4 on SMBUS2.

BMC_ADP_0001r7965:
1. First official release; all further releases will be posted to Andante.
2. Hardware interface layer built using official AMI MDS tool.
3. FRUSDR package available on Andante.
4. HSBP FRU package available on Andante.
5. Riser FRU package available on Andante.
6. OpenSSL updated from 1.0.1k to 1.0.2a.
7. Update 750W DC power to 3.03.25.

AP_BMC_PO_79_13_r7698:
1. The .bin file is being provided for use with the online update utility.
2. SMBIOS DIMM support has been updated from version 2.7.0 to 2.8.0 to support
   BIOS and EWS functionality.
3. Copyright changes from 2014 to 2015 in EWS and KVM legal notices.
4. FCT SDR updated to match Initial Configuration Spreadsheet.

AP_BMC_PO_79_12_r7645:
1. Fix for ME<->BMC communication lockup
2. Updated voltage sensor configuration based on new configuration spreadsheet
3. openSSL updated from 1.01j to 1.01k
4. Added programmatic way to control LCP backlight. (CCB 290).
5. Updated 750AB PSU firmware
6. Code added to force recovery of I2C bus 5 if it crashes


AP_BMC_PO_79_11_r7308:
1. Added support for PCIe riser cards and mux
2. Increased signal strength for RGMII MAC
3. Added support for CPU reset after platform debug dump
4. Added HSBP support and total power consumption for multiple nodes

AP_BMC_PO_79_10_r7243:
1. Initial release


===============================================================================
                            FEATURES ADDED
===============================================================================


===============================================================================
                             REFERENCE MATERIAL
===============================================================================
Common (integrated) BMC Firmware EAS
(integrated) BMC Firmware Common Core EPS
